# LedgerEntryRequest | xrpl
Documentation for xrpl

# Interface LedgerEntryRequest

The `ledger_entry` method returns a single ledger object from the XRP Ledger in its raw format. Expects a response in the form of a LedgerEntryResponse.

#### Example

    const ledgerEntry: LedgerEntryRequest = {
      command: "ledger_entry",
      ledger_index: 60102302,
      index: "7DB0788C020F02780A673DC74757F23823FA3014C1866E72CC4CD8B226CD6EF4"
    }

#### Hierarchy

- BaseRequest
- LookupByLedgerRequest
  - LedgerEntryRequest

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:22

#####
Index

### Properties

account_root?
amm?
api_version?
binary?
bridge?
bridge_account?
check?
command
deposit_preauth?
did?
directory?
escrow?
id?
index?
ledger_hash?
ledger_index?
nft_page?
offer?
payment_channel?
ripple_state?
ticket?
xchain_owned_claim_id?
xchain_owned_create_account_claim_id?

## Properties

### `Optional` account_root

account_root?: string

Retrieve an AccountRoot object by its address. This is roughly equivalent to the an AccountInfoRequest.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:58

### `Optional` amm

amm?: {
asset: {
currency: string;
issuer?: string;
};
asset2: {
currency: string;
issuer?: string;
};
}

Retrieve an Automated Market Maker (AMM) object from the ledger. This is similar to amm_info method, but the ledger_entry version returns only the ledger entry as stored.

#### Type declaration

- ##### asset: {
  currency: string;
  issuer?: string;
  }

  - ##### currency: string

  - ##### `Optional` issuer?: string

- ##### asset2: {
  currency: string;
  issuer?: string;
  }

  - ##### currency: string

  - ##### `Optional` issuer?: string

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:28

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:16

### `Optional` binary

binary?: boolean

If true, return the requested ledger object's contents as a hex string in the XRP Ledger's binary format. Otherwise, return data in JSON format. The default is false.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:44

### `Optional` bridge

bridge?: XChainBridge

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:165

### `Optional` bridge_account

bridge_account?: string

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:163

### `Optional` check

check?: string

The object ID of a Check object to retrieve.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:61

### command

command: "ledger_entry"

The name of the API method.

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:23

### `Optional` deposit_preauth

deposit_preauth?: string | {
authorized: string;
owner: string;
}

Specify a DepositPreauth object to retrieve. If a string, must be the object ID of the DepositPreauth object, as hexadecimal. If an object, requires owner and authorized sub-fields.

#### Type declaration

- ##### authorized: string

  The account that received the preauthorization.

- ##### owner: string

  The account that provided the preauthorization.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:68

### `Optional` did

did?: string

Specify a DID object to retrieve. If a string, must be the object ID of the DID object, as hexadecimal, or the account ID.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:81

### `Optional` directory

directory?: string | {
dir_root?: string;
owner?: string;
sub_index?: number;
}

The DirectoryNode to retrieve. If a string, must be the object ID of the directory, as hexadecimal. If an object, requires either `dir_root` o Owner as a sub-field, plus optionally a `sub_index` sub-field.

#### Type declaration

- ##### `Optional` dir_root?: string

  Unique index identifying the directory to retrieve, as a hex string.

- ##### `Optional` owner?: string

  Unique address of the account associated with this directory.

- ##### `Optional` sub_index?: number

  If provided, jumps to a later "page" of the DirectoryNode.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:88

### `Optional` escrow

escrow?: string | {
owner: string;
seq: number;
}

The Escrow object to retrieve. If a string, must be the object ID of the escrow, as hexadecimal. If an object, requires owner and seq sub-fields.

#### Type declaration

- ##### owner: string

  The owner (sender) of the Escrow object.

- ##### seq: number

  Sequence Number of the transaction that created the Escrow object.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:103

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:12

### `Optional` index

index?: string

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:52

### `Optional` ledger_hash

ledger_hash?: string

A 20-byte hex string for the ledger version to use.

Inherited from LookupByLedgerRequest.ledger_hash

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:21

### `Optional` ledger_index

ledger_index?: LedgerIndex

The ledger index of the ledger to use, or a shortcut string.

Inherited from LookupByLedgerRequest.ledger_index

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:23

### `Optional` nft_page

nft_page?: string

Must be the object ID of the NFToken page, as hexadecimal

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:161

### `Optional` offer

offer?: string | {
account: string;
seq: number;
}

The Offer object to retrieve. If a string, interpret as the unique object ID to the Offer. If an object, requires the sub-fields `account` and `seq` to uniquely identify the offer.

#### Type declaration

- ##### account: string

  The account that placed the offer.

- ##### seq: number

  Sequence Number of the transaction that created the Offer object.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:117

### `Optional` payment_channel

payment_channel?: string

The object ID of a PayChannel object to retrieve.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:127

### `Optional` ripple_state

ripple_state?: {
accounts: string[];
currency: string;
}

Object specifying the RippleState (trust line) object to retrieve. The accounts and currency sub-fields are required to uniquely specify the rippleState entry to retrieve.

#### Type declaration

- ##### accounts: string[]

  2-length array of account Addresses, defining the two accounts linked by this RippleState object.

- ##### currency: string

  Currency Code of the RippleState object to retrieve.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:134

### `Optional` ticket

ticket?: string | {
owner: string;
ticket_sequence: number;
}

The Ticket object to retrieve. If a string, must be the object ID of the Ticket, as hexadecimal. If an object, the `owner` and `ticket_sequence` sub-fields are required to uniquely specify the Ticket entry.

#### Type declaration

- ##### owner: string

  The owner of the Ticket object.

- ##### ticket_sequence: number

  The Ticket Sequence number of the Ticket entry to retrieve.

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:149

### `Optional` xchain_owned_claim_id

xchain_owned_claim_id?: string | {
issuing_chain_door: string;
issuing_chain_issue: Currency ;
locking_chain_door: string;
locking_chain_issue: Currency ;
xchain_owned_claim_id: string | number;
}

#### Type declaration

- ##### issuing_chain_door: string

- ##### issuing_chain_issue: Currency

- ##### locking_chain_door: string

- ##### locking_chain_issue: Currency

- ##### xchain_owned_claim_id: string | number

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:167

### `Optional` xchain_owned_create_account_claim_id

xchain_owned_create_account_claim_id?: string | {
issuing_chain_door: string;
issuing_chain_issue: Currency ;
locking_chain_door: string;
locking_chain_issue: Currency ;
xchain_owned_create_account_claim_id: string | number;
}

#### Type declaration

- ##### issuing_chain_door: string

- ##### issuing_chain_issue: Currency

- ##### locking_chain_door: string

- ##### locking_chain_issue: Currency

- ##### xchain_owned_create_account_claim_id: string | number

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:177

Generated using TypeDoc